StatisticsGet Stream Statistics

Get Stream Statistics

Returns the details of a pull stream statistics

curl -X GET "https://api.5centscdn.com/v2/streams/restream/1001/statistics" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "0": {
    "fs": {
      "name": "logotest/james",
      "status": "Alive",
      "bitrate": "1127.27kbps",
      "primary": true,
      "time": "20573d 12:15:59",
      "publish_time": "34 minutes ago",
      "publisher_ip": "",
      "video": {
        "size": "1280x720",
        "bitrate": "958.18kbps",
        "codec": "avc1.4d401f",
        "profile": "-",
        "level": "-"
      },
      "audio": {
        "codec": "mp4a.40.2",
        "bitrate": "169.09kbps"
      }
    },
    "platform": [
      {
        "id": 46770,
        "time": 0,
        "bitrate": "",
        "fps": "",
        "cpu": "",
        "mem": "",
        "log": "[rtmp @ 0x55ffb7e17700] Server error: Play failed.
rtmp://el01-5-normal.cdnized.com/logotest/james: Operation not permitted
",
        "node": "fs-fr-rbx-ovh02"
      }
    ],
    "status": "Enabled",
    "lastseen": "47 seconds ago"
  },
  "transcode": {
    "fst": {
      "name": "logotest/james.stream",
      "node": "",
      "status": "Dead",
      "bitrate": "kbps",
      "fps": "",
      "time": "",
      "cpu": "",
      "mem": "",
      "speed": "",
      "log": "",
      "video": [],
      "audio": []
    }
  }
}
GET
/streams/restream/{streamid}/statistics
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidstring
Required

Stream ID

Example:
1001

Responses

0object
transcodeobject

Live transcoding configuration for the stream.